Query collection
GET/documents/query/:collection
Filters documents in the collection using JSON field lookups. Each where clause uses field__lookup:value format. Requires client.documents permission.
Request
Responses
- 200
- 400
- 401
- 403
- 422
Successful Response
Bad Request
Unauthorized
Forbidden
Validation Error
Response shape
{
"documents": [
{
"id": "550e8400-e29b-41d4-a716-446655440001",
"path": "users/alice",
"data": { "display_name": "Alice", "level": 12, "active": true }
}
]
}
Each where query param uses field__lookup:value (e.g. level__gte:10).
cURL example
curl -X GET "https://mw-client-api.wonderfulcoast-218d579d.centralindia.azurecontainerapps.io/documents/query/users?where=level__gte:10&where=active__exact:true" \
-H "x-client-id: <client-id>" \
-H "x-client-secret: <client-secret>" \
-H "Authorization: Bearer <access-token>"